
/*
** Header files
*/

#include <X11/X.h>
#include <X11/Xatom.h>
#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>
#include "xwidget.h"

/* Family: nowidget*/

char *xd_config_stop_list = NULL;
/*
** Externally defined functions
/*

/* Family: nowidget */
extern void xd_colour_dialog_create();
extern void xd_colour_dialog_initialise();
extern void xd_font_dialog_create();
extern void xd_font_dialog_initialise();
extern void xd_fsb_dialog_create();
extern void xd_fsb_dialog_initialise();
extern void xd_pixmap_dialog_create();
extern void xd_pixmap_dialog_initialise();
extern void xd_string_dialog_create();
extern void xd_string_dialog_initialise();


/*
** Popup definitions
*/

Popup_t popups[] = {
/* Family: nowidget*/
	{xd_colour_dialog_create,xd_colour_dialog_initialise,NULL, 0},
	{xd_font_dialog_create,xd_font_dialog_initialise,NULL, 0},
	{xd_fsb_dialog_create,xd_fsb_dialog_initialise,NULL, 0},
	{xd_pixmap_dialog_create,xd_pixmap_dialog_initialise,NULL, 0},
	{xd_string_dialog_create,xd_string_dialog_initialise,NULL, 0},
	{0, 0, 0, 0}
};

/*
** Page names
*/

char *xw_page_names[] = {
/* Family: nowidget*/
	"display",
	"margins",
	"settings",
	"callbacks",
	"misc",
	NULL
};

/*
** Resource arrays
*/

/* Family: nowidget */


/*
** XWidget class records
*/

/* Family: nowidget */


/*
** Families
*/

char *xw_family_names[] = {
	NULL,
};

int xw_family_count = 1;

/*
** XWidget records
*/

XWidgetClass_p xwidgets[] = {
	(XWidgetClass_p)0
};

/*
** Enumeration definitions
*/

/* Family: nowidget */

Enum_def_t enumerations[] = {
/* Family: nowidget */
	{0, 0, 0}
};

/*
** Alias definitions
*/

Type_alias_t aliases[] = {
/* Family: nowidget*/
	{0, 0, 0, 0}
};

/*
** Externally defined functions
/*

/* Family: nowidget */


/*
** Converter definitions
*/

Converter_t converters[] = {
/* Family: nowidget*/
	{0, 0, 0, 0, 0, 0, 0}
};

